AqBanking - Bug #151
Error parsing segment "HIPAES"
25.10.2019 00:39 - Anonym

Status: Closed Beginn: 25.10.2019
Prioritéat: Normal Abgabedatum:
Kategorie: AgBanking
Betriebssystem: Linux Anwendung: aqgbanking-cli
AqBanking-Version: 5.99.43 Version der

Anwendung:

Beschreibung

Ich versuche mich mit dem latest master bei der GLS Bank anzumelden, scheitere
aber bei "aghbci-tool4 getbankinfo -u 1°. Der Fehler ist “Error parsing segment "HIPAES™ - log siehe unten.
Ein Kommunikationslog werde ich an Martin senden.

$ rm -rf ~/.agbanking
$ agbanking-cli versions

Versions:
AgBanking-CLI: 5.99.43
Gwenhywfar : 4.99.24.1
AgBanking : 5.99.40.0

$ aghbci-toold4 adduser -t pintan —--context=1 -b 43060967 —u VRKENNUNG -s "https://hbci-pintan.gad.
de/cgi-bin/hbciservlet" -N "NAME" —--hbciversion=300

$ aghbci-tool4d adduserflags -u 1 -f tlsIgnPrematureClose
Adding flags: 00001000

$ aghbci-toold listusers
User 0: Bank: de/43060967 User Id: VRKENNUNG Customer Id: VRKENNUNG Unique Id: 1

$ aghbci-toold getbankinfo -u 1

5:2019/10/24 22-43-57:agbanking(12711) :siotlsext.c: 177: Status for certificate 8F:1D:48:DC:7F:EA
:58:C6:55:EF:F1:94:38:4F:B7:33" has changed to "The certificate is wvalid" (00000000->80000000), ne
ed to present

4:2019/10/24 22-43-57:gwen (12711) :syncio_tls.c: 137: No checkCertFn set, using GWEN_GUI

===== Certificate Received =====

The following certificate has been received:

Name : hbci-pintan.gad.de
Organisation : Fiducia & GAD IT AG
Department : unknown

Country : DE

City : Karlsruhe

State : Baden-Wirttemberg

valid after : 2019/05/07 09:17:00

Valid until : 2021/05/07 09:27:00

Hash (MDY5) : 8F:1D:48:DC:7F:EA:58:C6:55:EF:F1:94:38:4F:B7:33

Hash (SHA1L) : 46:E0:3E:63:EB:C8:61:87:30:26:3A:21:69:8A:1A:26:DE:A4:0D:2D

Hash (SHA512): 66:B8:CD:C4:64:BE:1C:79:B3:48:E0:D9:9B:C0:F4:6C:B9:5D:1F:F3:26:6F:1F:DD:F7:B3:4F:BF
:B4:98:96:95:4D:ED:6D:EA:05:BE:EA:B0:20:33:7A:DE:9F:E8:0E:28:0A:F2:D7:88:39:A2:1D:BC:03:10:A8:B5:C
F:0B:EQ0:6E

Status : The certificate is valid

Do you wish to accept this certificate?

(1) Yes (2) No

Please enter your choice: 1

5:2019/10/24 22-44-03:agbanking(12711) :siotlsext.c: 239: User response to presentation of cert "8
F:1D:48:DC:7F:EA:58:C6:55:EF:F1:94:38:4F:B7:33" (The certificate is wvalid): O

3:2019/10/24 22-44-03:gwen (12711) :syncio_tls.c: 1483: gnutls_record_recv: -110 (The TLS connection
was non-properly terminated.)

3:2019/10/24 22-44-03:gwen (12711) :syncio_tls.c: 1497: Detected premature disconnect by server (vio
lates specs!), ignoring.

3:2019/10/24 22-44-03:aghbci (12711) :message.c: 807: Error parsing segment "HIPAES"
String size is 11807:
0000: 48 49 50 41 45 53 3a 31 32 3a 31 3a 33 2b 31 2b HIPAES:12:1:3+1+

Historie

#1 - 26.10.2019 12:55 - martin
- Kategorie wurde auf AqBanking gesetzt

- Status wurde von New zu Feedback geédndert
Dazu muesste ich einmal das komplette HIPAES-Segment sehen (Das Ende des Segmentes wird durch "" angezeigt).

#2 - 26.10.2019 13:36 - Anonym

Dazu muesste ich einmal das komplette HIPAES-Segment sehen (Das Ende des Segmentes wird durch "" angezeigt).

Wie erhalte ich den denn ? Den Komminikationslog habe ich dir ja bereits per Mail geschickt.

#3 - 28.10.2019 23:37 - Anonym
- Thema wurde von GLS Bank: Error parsing segment "HIPAES" zu Error parsing segment "HIPAES" gedndert

Habe das gleiche Problem bei VoBa und DKB, ebenfalls unter Linux (Arch in meinem Fall).

Versions:

AgBanking-CLI: 5.99.43
Gwenhywfar :4.99.24.1
AgBanking :5.99.43.0

Bei mir schlagt allerdings nicht nur das Parsen von HIPAES fehl:

$ cat 151_DKB.log| grep "Error parsing segment"”

3:2019/10/28 23-28-09:aghbci(41769):message.c: 807: Error parsing segment "HIPAES"
3:2019/10/28 23-28-09:aghbci(41769):message.c: 807: Error parsing segment "HITANS"
3:2019/10/28 23-28-09:aghbci(41769):message.c: 807: Error parsing segment "HITANS"
3:2019/10/28 23-28-09:aghbci(41769):message.c: 807: Error parsing segment "HITANS"
3:2019/10/28 23-28-09:aghbci(41769):message.c: 807: Error parsing segment "HIPINS"

_= ==

$ cat 151_VoBa.log| grep "Error parsing segment”

3:2019/10/28 23-16-50:aghbci(40878):message.c: 807: Error parsing segment "HIPAES"
3:2019/10/28 23-16-51:aghbci(40878):message.c: 807: Error parsing segment "HITANS"
3:2019/10/28 23-16-51:aghbci(40878):message.c: 807: Error parsing segment "HIPINS"

Vollsténdige Logs mit INFO loglevel gehen per Mail an Martin.

#4 - 29.10.2019 00:40 - martin

Vielen Dank fuer die Logs. Hier wurde wohl die GIT-Version verwendet.

Ich habe die entsprechenden Aenderungen am GIT wieder rueckgaengig gemacht, die diese Parser-Probleme eingefuehrt hatten.
Mit der aktuellen GIT-Version konnte ich die von Euch gesendeten Logs inzwischen wieder korrekt parsen.

#5 - 29.10.2019 20:37 - Anonym

Ja, (zumindest bei mir) wurde die git-Version verwendet.

Allerdings scheint der Fix nicht zu funktionieren; mit 900c4e0acfd480c00094d36665bcef3fbeae50d8 tritt bei mir weiterhin der Fehler auf.
Allerdings kann ich im git log auch keinen Commit finden der mit dem Parsing zu tun hat (zumindest laut der commit messages).

Ist ein anderer Branch als master gemeint?

#6 - 30.10.2019 08:35 - Anonym

Bei mir funktionierts jetzt, nachdem ich sowohl agbanking als auch gwenhywfar vom aktuellen master branch kompiliert habe. Danke !

#7 - 30.10.2019 18:40 - Anonym
Ah ja, nach einem rebuild von gwenhywfar geht es bei mir auch. Danke!
(Stehe jetzt allerdings vor dem gleichen Problem wie varac in #154)

#8 - 31.10.2019 16:09 - martin

- Status wurde von Feedback zu Closed gedndert
https://aquamaniac.de/rdm/issues/154
http://www.tcpdf.org

